/**
 * @file
 * 
 * Provides vertical tabs summaries for theme settigns form when
 * radio buttons are used for log and favicon settings
 */

(function ($) {
  Drupal.behaviors.themesettingsRadioFieldsetSummaries = {

    attach: function (context) {

      $('fieldset#edit-favicon', context).drupalSetSummary( function (context) {
        return $('#edit-favicon-display .form-item', context)
          .has(':radio:checked')
          .find('label')
          .text();
      });

      $('fieldset#edit-logo', context).drupalSetSummary( function (context) {
        return $('#edit-logo-display .form-item', context)
          .has(':radio:checked')
          .find('label')
          .text();
      });
    }
  };
})(jQuery);
